From: Bogdan Marinescu <bogdan.a.marinescu@intel.com>
To: openembedded-core@lists.openembedded.org
Subject: [PATCH] tcf-agent: Use kill instead of killproc to stop agent
Date: Mon, 8 Apr 2013 14:58:03 +0300 [thread overview]
Message-ID: <1365422283-27630-1-git-send-email-bogdan.a.marinescu@intel.com> (raw)
From: Ioana Grigoropol <ioanax.grigoropol@intel.com>
[Yocto #3928]
Signed-off-by: Ioana Grigoropol <ioanax.grigoropol@intel.com>
Signed-off-by: Bogdan Marinescu <bogdan.a.marinescu@intel.com>
---
.../tcf-agent/tcf-agent/fix_tcf-agent.init.patch | 6 ++++--
meta/recipes-devtools/tcf-agent/tcf-agent_git.bb | 2 +-
2 files changed, 5 insertions(+), 3 deletions(-)
diff --git a/meta/recipes-devtools/tcf-agent/tcf-agent/fix_tcf-agent.init.patch b/meta/recipes-devtools/tcf-agent/tcf-agent/fix_tcf-agent.init.patch
index fefaf04..8ea5b43 100644
--- a/meta/recipes-devtools/tcf-agent/tcf-agent/fix_tcf-agent.init.patch
+++ b/meta/recipes-devtools/tcf-agent/tcf-agent/fix_tcf-agent.init.patch
@@ -13,7 +13,7 @@ Upstream-Status: Inappropriate [poky-specific script]
install -c -t $(INSTALLROOT)$(INCLUDE)/tcf/services -m 644 services/*.h
--- /dev/null
+++ b/tcf-agent.init
-@@ -0,0 +1,78 @@
+@@ -0,0 +1,80 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides: tcf-agent
@@ -50,14 +50,16 @@ Upstream-Status: Inappropriate [poky-specific script]
+ stop)
+ echo -n "Stopping $DAEMON_NAME: "
+ count=0
++ pid=$(/bin/pidof $DAEMON_PATH)
+ while [ -n "`/bin/pidof $DAEMON_PATH`" -a $count -lt 10 ] ; do
-+ killproc $DAEMON_PATH >& /dev/null
++ kill $pid > /dev/null 2>&1
+ sleep 1
+ RETVAL=$?
+ if [ $RETVAL != 0 -o -n "`/bin/pidof $DAEMON_PATH`" ] ; then
+ sleep 3
+ fi
+ count=`expr $count + 1`
++ pid=$(/bin/pidof $DAEMON_PATH)
+ done
+ rm -f /var/lock/subsys/$DAEMON_NAME
+ if [ -n "`/bin/pidof $DAEMON_PATH`" ] ; then
diff --git a/meta/recipes-devtools/tcf-agent/tcf-agent_git.bb b/meta/recipes-devtools/tcf-agent/tcf-agent_git.bb
index 4d43c62..ced2b41 100644
--- a/meta/recipes-devtools/tcf-agent/tcf-agent_git.bb
+++ b/meta/recipes-devtools/tcf-agent/tcf-agent_git.bb
@@ -7,7 +7,7 @@ LIC_FILES_CHKSUM = "file://edl-v10.html;md5=522a390a83dc186513f0500543ad3679"
SRCREV = "4ef94ecb927a8912c3d79ce137182247786cff8f"
PV = "0.4.0+git${SRCPV}"
-PR = "r0"
+PR = "r1"
SRC_URI = "git://git.eclipse.org/gitroot/tcf/org.eclipse.tcf.agent.git;protocol=git \
file://fix_ranlib.patch \
--
1.7.9.5
next reply other threads:[~2013-04-08 12:12 UTC|newest]
Thread overview: 3+ messages / expand[flat|nested] mbox.gz Atom feed top
2013-04-08 11:58 Bogdan Marinescu [this message]
2013-04-08 12:16 ` [PATCH] tcf-agent: Use kill instead of killproc to stop agent Richard Purdie
2013-04-08 12:51 ` Marinescu, Bogdan A
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1365422283-27630-1-git-send-email-bogdan.a.marinescu@intel.com \
--to=bogdan.a.marinescu@intel.com \
--cc=openembedded-core@lists.openembedded.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox